jQuery(document).ready(function(){
    function block_delete() {
       jQuery('#block-sport-select').css('pointer-events','none'); 
       jQuery('#block-cards').css('pointer-events','none'); 
    }
    function sblock_delete() {
       jQuery('#block-sport-select').css('pointer-events',''); 
       jQuery('#block-cards').css('pointer-events',''); 
    }
    function numPrediction(){
        var numPrediction = jQuery('div[data-activeselected="true"]').length;
        if(numPrediction === 0){
            if (window.matchMedia('(max-width: 991.98px)').matches) {
                jQuery('.block-my-cards').slideUp('500');
            }
            jQuery('.block-my-cards-number').text(numPrediction);
            jQuery('#block-my-cards .row-section-cart > .column-carsd-empty').show();
            jQuery('#block-my-cards .row-section-cart > .section-cart').hide();
            jQuery('#block-my-cards .row-section-cart').addClass('empty');
            if (window.matchMedia('(min-width: 991.98px)').matches) {
                jQuery('.block-my-cards-delete').hide();
            }
            jQuery('button.cart-itam-total-button').prop("disabled", true);
            jQuery('main').removeClass('block-my-cards-open');
            
        } else {
            if (window.matchMedia('(max-width: 991.98px)').matches) {
                jQuery('.block-my-cards').slideDown('500');
            }
            jQuery('.block-my-cards-number').text(numPrediction);
            jQuery('main').addClass('block-my-cards-open');
            jQuery('#block-my-cards .row-section-cart > .column-carsd-empty').hide();
            jQuery('#block-my-cards .row-section-cart > .section-cart').show();
            jQuery('#block-my-cards .row-section-cart').removeClass('empty');
            if (window.matchMedia('(min-width: 991.98px)').matches) {
                jQuery('.block-my-cards-delete').css('display','inline-block');
            }
            jQuery('button.cart-itam-total-button').prop("disabled", false);
        }
        //console.log(numPrediction);
    }
    function cart(){
        var cart_v = 0;
        jQuery('.block-my-cards').find('.row-section-cart > div.section-cart').each(function(){
            cart_v += parseFloat(jQuery(this).find('.block-cards-quote-cart').text());
            
            //console.log(cart_v);
        });
        jQuery('.row-section-total .cart-quote-total').text(cart_v.toFixed(2));
    }
    // click more icon
    jQuery('.button-more').click(function(){
        //console.log('a');
        if(jQuery(this).hasClass('button-more-minus')){
            jQuery(this).parents('.block-cards-row-wrap').find('#block-cars-more').slideUp('500');
            jQuery(this).attr('src','img/img7.png');
            jQuery(this).removeClass('button-more-minus');
        } else {
            jQuery(this).parents('.block-cards-row-wrap').find('#block-cars-more').slideDown('500');
            jQuery(this).attr('src','img/img8.png');
            jQuery(this).addClass('button-more-minus');
        }
    });
    // click icon sport
    jQuery('.block-sport-select-img').click(function(){
        var sport = jQuery(this).parent().attr('data-sport-symbol');
        //console.log(sport);
        jQuery('.container-block-cards > div.block-cards-row-wrap').each(function(){
            var row = jQuery(this);
            var sport_cards = row.attr('data-sport');
            if(sport === sport_cards) {
                if(row.is(':visible')) {
                    
                } else {
                    row.slideDown('500');
                }
            } else {
                row.slideUp('500');
                if(row.find('.button-more').hasClass('button-more-minus')){
                    row.find('#block-cars-more').slideUp('500');
                    row.find('.button-more').attr('src','img/img7.png');
                    row.find('.button-more').removeClass('button-more-minus');
                }
            }
        });
        jQuery('.block-sport-select .row > div').removeClass('active');
        jQuery(this).parent().addClass('active');
    });
    // click all symbol
    jQuery('div[data-sport-symbol="all"]').click(function(){
        jQuery('.container-block-cards > div.block-cards-row-wrap').each(function(){
            var row = jQuery(this);
            row.slideDown('500');
        });
        jQuery('.block-sport-select .row > div').removeClass('active');
        jQuery(this).addClass('active');
    });
    // click option prediction
    jQuery('.block-cards-row3 div[data-option="prediction"]').click(function(){
        if(jQuery(this).attr('data-activeselected') === 'true') {
            jQuery(this).attr('data-activeselected', 'false');
            var matches = jQuery(this).parents('.match-c').attr('data-match');
            //console.log(matches);
            jQuery('.block-my-cards').find('.row-section-cart > div.section-cart').each(function(){
                var matches2 = jQuery(this).attr('data-match');
                //console.log(matches2);
                if(matches === matches2) {
            //console.log(matches2);
                    jQuery(this).remove();
                }
            });
        } else {
            var matches = jQuery(this).parents('.match-c').attr('data-match');
           var parents = jQuery(this).parents('.block-cards-row-wrap');
           var competition = parents.find('.block-cards-competition').text();
           //console.log(parents.find('.block-cards-day').text());
           if(parents.find('.block-cards-day').text() === '') {
            var day = '';
           } else {
            var day = ' | <span class="block-cards-day-cart">' + parents.find('.block-cards-day').text() + '</span>';
           }
           if(parents.find('.block-cards-time').text() === '') {
            var time = '';
           } else {
            var time = ' | <span class="block-cards-time-cart">' + parents.find('.block-cards-time').text() + '</span>';
           }
           //var time = parents.find('.block-cards-time').text();
           var first_squad = parents.find('.block-cards-first-squad').text();
           var second_squad = parents.find('.block-cards-second-squad').text();
           var html_static = parents.find('.block-cards-static').html();
           var prediction = jQuery(this).find('.block-cards-prediction').text();
           var quote = jQuery(this).find('.block-cards-quote').text();
            //console.log(prediction);
            jQuery('.block-my-cards').find('.row-section-cart > div.section-cart').each(function(){
                var matches2 = jQuery(this).attr('data-match');
                //console.log(matches2);
                if(matches === matches2) {
            //console.log(matches2);
                    jQuery(this).remove();
                }
            });
            //console.log(matches);
            jQuery(this).parents('.match-c').find('div[data-activeselected="true"]').attr('data-activeselected', 'false');
            jQuery(this).attr('data-activeselected', 'true');
            jQuery('#block-my-cards .row-section-cart').append('<div data-match="' + matches + '" class="col-12 block-cards-row-wrap-cart section-cart no-padding">\n\
                <div class="block-cards-wrap">\n\
                <div class="row block-cards-row1-cart">\n\
                <div class="col-6"><p class="block-cards-info-cart"><span class="block-cards-competition-cart">' + competition + '</span>' + day + '' + time + '</p></div>\n\
                <div class="col-6 column-right"><img class="block-cards-row1-img cursor-pointer button-more-point-cart" src="img/img7.png" alt="image icon plus" title="image icon plus"/></div>\n\
                </div><div class="row block-cards-row3 row-block-cards-row3-cart">\n\
                <div class="col-7 col-sm-8 col-md-9 col-lg-7 row-block-cards-row3-cart-wrap-squad">\n\
                <div class="row-block-cards-row3-cart-checkbox">\n\
                \n\<input type="checkbox"></div>\n\
                <div class="row-block-cards-row3-cart-squad">\n\
                <p class="block-cards-first-squad-cart">' + first_squad + '</p>\n\
                <p class="block-cards-second-squad-cart">' + second_squad + '</p>\n\
                </div></div>\n\
                <div class="col-5 col-sm-4 col-md-3 col-lg-5"><div class="block-cards-row3-wrap-cart"><p class="block-cards-row3-wrap-p-cart"><span class="block-cards-prediction-cart">' + prediction + '</span></p><p><span class="block-cards-quote-cart">' + quote + '</span></p>\n\
                </div></div>\n\
                <div  id="block-cars-static" class="block-cars-static block-cars-static-cart"><div><div class="block-cars-static-cart-edit"><img src="img/img1.png"></div><div class="block-cars-static-cart-info"><img src="img/img1.png"></div><div class="block-cars-static-cart-delete"><img src="img/img1.png"></div></div>\n\
                </div></div> </div><div class="block-cards-static  block-cards-static-cart">' + html_static + '</div>\n\
                \n\</div> \n\
                \n\
                </div>');
        }
        numPrediction();
        cart();
    });
    jQuery('.block-cards-row4 div[data-option="prediction"]').click(function(){
        if(jQuery(this).attr('data-activeselected') === 'true') {
            jQuery(this).attr('data-activeselected', 'false');
            var matches = jQuery(this).parents('.match-c').attr('data-match');
            //console.log(matches);
            jQuery('.block-my-cards').find('.row-section-cart > div.section-cart').each(function(){
                var matches2 = jQuery(this).attr('data-match');
                //console.log(matches2);
                if(matches === matches2) {
            //console.log(matches2);
                    jQuery(this).remove();
                }
            });
        } else {
           var matches = jQuery(this).parents('.match-c').attr('data-match');
           var parents = jQuery(this).parents('.block-cards-row-wrap');
           var competition = parents.find('.block-cards-competition').text();
           if(parents.find('.block-cards-day').text() === '') {
            var day = '';
           } else {
            var day = ' | <span class="block-cards-day-cart">' + parents.find('.block-cards-day').text() + '</span>';
           }
           if(parents.find('.block-cards-time').text() === '') {
            var time = '';
           } else {
            var time = ' | <span class="block-cards-time-cart">' + parents.find('.block-cards-time').text() + '</span>';
           }
           var first_squad = parents.find('.block-cards-first-squad').text();
           var second_squad = parents.find('.block-cards-second-squad').text();
           var html_static = parents.find('.block-cards-static').html();
           var prediction = jQuery(this).find('.block-cards-prediction').text();
           var quote = jQuery(this).find('.block-cards-quote').text(); //console.log(matches);
            jQuery('.block-my-cards').find('.row-section-cart > div.section-cart').each(function(){
                var matches2 = jQuery(this).attr('data-match');
                //console.log(matches2);
                if(matches === matches2) {
            //console.log(matches2);
                    jQuery(this).remove();
                }
            });
            //console.log(matches);
            jQuery(this).parents('.match-c').find('div[data-activeselected="true"]').attr('data-activeselected', 'false');
            jQuery(this).attr('data-activeselected', 'true');
            jQuery('#block-my-cards .row-section-cart').append('<div data-match="' + matches + '" class="col-12 block-cards-row-wrap-cart section-cart no-padding">\n\
                <div class="block-cards-wrap">\n\
                <div class="row block-cards-row1-cart">\n\
                <div class="col-6"><p class="block-cards-info-cart"><span class="block-cards-competition-cart">' + competition + '</span>' + day + '' + time + '</p></div>\n\
                <div class="col-6 column-right"><img class="block-cards-row1-img cursor-pointer button-more-point-cart" src="img/img7.png" alt="image icon plus" title="image icon plus"/></div>\n\
                </div><div class="row block-cards-row3 row-block-cards-row3-cart">\n\
                <div class="col-7 col-sm-8 col-md-9 col-lg-7 row-block-cards-row3-cart-wrap-squad">\n\
                <div class="row-block-cards-row3-cart-checkbox">\n\
                \n\<input type="checkbox"></div>\n\
                <div class="row-block-cards-row3-cart-squad">\n\
                <p class="block-cards-first-squad-cart">' + first_squad + '</p>\n\
                <p class="block-cards-second-squad-cart">' + second_squad + '</p>\n\
                </div></div>\n\
                <div class="col-5 col-sm-4 col-md-3 col-lg-5"><div class="block-cards-row3-wrap-cart"><p class="block-cards-row3-wrap-p-cart"><span class="block-cards-prediction-cart">' + prediction + '</span></p><p><span class="block-cards-quote-cart">' + quote + '</span></p>\n\
                </div></div>\n\
                <div  id="block-cars-static" class="block-cars-static block-cars-static-cart"><div><div class="block-cars-static-cart-edit"><img src="img/img1.png"></div><div class="block-cars-static-cart-info"><img src="img/img1.png"></div><div class="block-cars-static-cart-delete"><img src="img/img1.png"></div></div>\n\
                </div></div> </div><div class="block-cards-static  block-cards-static-cart">' + html_static + '</div>\n\
                \n\
                </div>');
        }
        numPrediction();
        cart();
    });
    // more static
    jQuery('.button-more-point').click(function(){
        if(jQuery(this).parents('.block-cards-row-wrap').find('.block-cars-static').is(':visible')) {
            jQuery(this).parents('.block-cards-row-wrap .block-cards-wrap').css('left','0px'); 
            jQuery(this).parents('.block-cards-row-wrap').find('.block-cars-static').css({'right':'-80px'});
            var th = jQuery(this).parents('.block-cards-row-wrap');
            setTimeout(function(){
                th.css({'overflow': '','max-width':'','margin':''});
                th.find('.block-cars-static').css({'display':'none'});
            }, 1000);
        } else {
            jQuery(this).parents('.block-cards-row-wrap').find('.block-cars-static').css({'display':'block','right':'-75px'});
            jQuery(this).parents('.block-cards-row-wrap .block-cards-wrap').css('left','-75px');
            jQuery(this).parents('.block-cards-row-wrap').css({'overflow': 'hidden','max-width':'1400px','margin-left':'auto', 'margin-right':'auto'});
        }
    });
    // more static card
    jQuery(document).on('click','.button-more-point-cart',function(){
        if(jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cars-static-cart').is(':visible')) {
        //console.log('a');
            jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cards-wrap').css('left','0px'); 
            jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cars-static').css({'right':'-230px'});
            var th = jQuery(this).parents('.block-cards-row-wrap-cart');
            setTimeout(function(){
                th.css({'overflow': '','max-width':'','margin':''});
                th.find('.block-cars-static').css({'display':'none'});
            }, 1000);
        } else {
        //console.log('b');
            jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cars-static').css({'display':'block','right':'-225px'});
            jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cards-wrap').css('left','-225px');
            jQuery(this).parents('.block-cards-row-wrap-cart').css({'overflow': 'hidden','max-width':'1400px','margin-left':'auto', 'margin-right':'auto'});
        }
    });
    // open/close cart
    jQuery('#block-my-cards .block-my-cards-arrow').click(function(){
        if(jQuery(this).parents('.block-my-cards').hasClass('block-my-cards-height')) {
            jQuery(this).parents('.block-my-cards').removeClass('block-my-cards-height');
            jQuery(this).parents('.block-my-cards').find('.block-my-cards-arrow').text('︿');
            jQuery(this).parents('.block-my-cards').find('.row-section-cart').slideUp('500'); 
            jQuery(this).parents('.block-my-cards').find('.row-section-total').css('display','none');
        } else {
            jQuery(this).parents('.block-my-cards').addClass('block-my-cards-height');
            jQuery(this).parents('.block-my-cards').find('.block-my-cards-arrow').text('﹀');
            jQuery(this).parents('.block-my-cards').find('.row-section-cart').slideDown('500');
            jQuery(this).parents('.block-my-cards').find('.row-section-total').css('display','block');
        }
    });
    // delete item cart
    jQuery('.block-my-cards-delete').click(function(){
        if(jQuery('.row-block-cards-row3-cart-checkbox').is(':visible')) {
            jQuery(this).find('img').attr('src','img/img7.png');
            jQuery('.row-block-cards-row3-cart-checkbox').slideUp();
            jQuery('.row-section-delete').slideUp();
            jQuery(this).parents('.block-my-cards').find('.row-section-total').css('display','block');
            if (window.matchMedia('(max-width: 991.98px)').matches) {
                jQuery('.block-my-cards .row-section-cart').removeClass('height-custom-a');
            }
            jQuery('#block-my-cards .row-section-title-block-cards p').text('La mia schedina');
            sblock_delete();
        } else {
            jQuery(this).find('img').attr('src','img/img8.png');
            jQuery('.row-block-cards-row3-cart-checkbox').slideDown();
            jQuery('.row-section-delete').slideDown();
            jQuery(this).parents('.block-my-cards').find('.row-section-total').css('display','none');
            jQuery('#block-my-cards .row-section-title-block-cards p').text('Seleziona eventi da rimuovere');
            if (window.matchMedia('(max-width: 991.98px)').matches) {
                //console.log('a');
                jQuery('.block-my-cards .row-section-cart').addClass('height-custom-a');
            }
            block_delete();
        }
    });
    jQuery('.row-section-delete button').click(function(){
        //console.log('a');
        var count = 0;
        jQuery(this).parents('.block-my-cards').find('.row-section-cart > div.section-cart').each(function(){
            var check = jQuery(this).find('.row-block-cards-row3-cart-checkbox input').is(':checked');
            var match = jQuery(this).attr('data-match');
            if(check == true) {
                jQuery('div.match-c[data-match=' + match + ']').find('div[data-activeselected]').attr('data-activeselected', 'false');
                jQuery(this).slideUp();
                jQuery(this).remove();
            } else {
                count++;
            }
        });
        //console.log(count);
        if(count == 0) {
            /*jQuery('#block-my-cards .row-section-cart > .column-carsd-empty').show();
            jQuery('#block-my-cards .row-section-cart > .section-cart').hide();
            jQuery('#block-my-cards .row-section-cart').addClass('empty');*/
            if (window.matchMedia('(min-width: 991.98px)').matches) {
                jQuery('#block-my-cards .block-my-cards-delete').hide();
            }
            jQuery('#block-my-cards .row-section-delete').slideUp();
            if (window.matchMedia('(max-width: 991.98px)').matches) {
                jQuery('#block-my-cards.block-my-cards').removeClass('block-my-cards-height');
                jQuery('#block-my-cards.block-my-cards').find('.block-my-cards-arrow').text('︿');
                jQuery('#block-my-cards.block-my-cards').find('.row-section-cart').slideUp('500'); 
                jQuery('#block-my-cards .row-section-total').slideUp();
                jQuery('#block-my-cards.block-my-cards').find('.row-section-total').css('display','none');
            } else {
                jQuery('#block-my-cards.block-my-cards').find('.row-section-total').css('display','block');
            }
            if (window.matchMedia('(max-width: 991.98px)').matches) {
                jQuery('.block-my-cards .row-section-cart').removeClass('height-custom-a');
                //jQuery('#block-my-cards.block-my-cards').find('.row-section-cart').addClass('p');
            }
            numPrediction();
            cart();
        } else {
            jQuery('.row-section-delete').slideUp();
            jQuery(this).parents('.block-my-cards').find('.row-section-total').css('display','block');
            jQuery('.row-block-cards-row3-cart-checkbox').slideUp();
            numPrediction();
            cart();
        }
        sblock_delete();
        jQuery('#block-my-cards .row-section-title-block-cards p').text('La mia schedina');
        if (window.matchMedia('(max-width: 991.98px)').matches) {
            jQuery('.block-my-cards .row-section-cart').removeClass('height-custom-a');
            //jQuery('#block-my-cards .row-section-cart > .section-cart').hide();
        }
    });
    // setting
    jQuery(document).on('click','.block-cars-static-cart-delete',function(){
        //console.log('a');
        var parents = jQuery(this).parents('.section-cart');
        var match = parents.attr('data-match');
        jQuery('div.match-c[data-match=' + match + ']').find('div[data-activeselected]').attr('data-activeselected', 'false');
        parents.slideUp();
        setTimeout(function(){
            parents.remove();
            numPrediction();
        }, 1000);
        setTimeout(function(){
        cart();
        }, 1100);
        if (window.matchMedia('(max-width: 991.98px)').matches) {
            jQuery('.block-my-cards .row-section-cart').removeClass('height-custom-a');
            //jQuery('#block-my-cards.block-my-cards').find('.row-section-cart').addClass('p');
        }
    });
    jQuery(document).on('click','#block-cars-static',function(){
        jQuery(this).parents('.block-cards-row-wrap .block-cards-wrap').css('left','0px'); 
        jQuery(this).parents('.block-cards-row-wrap').find('.block-cars-static').css({'right':'-80px'});
        var th = jQuery(this).parents('.block-cards-row-wrap');
        setTimeout(function(){
            th.css({'overflow': '','max-width':'','margin':''});
            th.find('.block-cars-static').css({'display':'none'});
        }, 1000);
        jQuery(this).parents('.block-cards-row-wrap').find('.block-cards-static').slideDown();
    });
    jQuery('.button-close-static').click(function(){
        jQuery(this).parents('.block-cards-row-wrap').find('.block-cards-static').slideUp();
    });
    // settngs cart
    jQuery(document).on('click','.block-cars-static-cart-info',function(){
        jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cards-static-cart').slideDown();
        //console.log('a');
            jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cards-wrap').css('left','0px'); 
            jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cars-static').css({'right':'-230px'});
            var th = jQuery(this).parents('.block-cards-row-wrap-cart');
            setTimeout(function(){
                th.css({'overflow': '','max-width':'','margin':''});
                th.find('.block-cars-static').css({'display':'none'});
            }, 1000);
            var quot = jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cards-row3 .block-cards-quote-cart').text();
            jQuery('.block-cards-static-cart .block-cards-static-row2 > div').each(function(){
                var quot2 = jQuery(this).find('.block-cards-static-quote').text();
                if(quot == quot2) {
                    console.log(quot2);
                    jQuery(this).find('.block-cards-static-column-prediction').attr('data-activeselected','true');
                } else {
                    
                }
            });
    });
    jQuery(document).on('click','.button-close-static',function(){
        //console.log('a');
        jQuery(this).parents('.block-cards-row-wrap-cart').find('.block-cards-static').slideUp();
    });
});